Groovy 1.7.10

## org.codehaus.groovy.vmplugin.v5
[Java] Class Java5

    java.lang.Object
      org.codehaus.groovy.vmplugin.v5.Java5

All Implemented Interfaces:
  VMPlugin

    public class Java5
    extends Object

java 5 based functions

Authors:
  Jochen Theodorou

Method Summary
`void` | `configureAnnotation(AnnotationNode node)`
`void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
`Class[]` | `getPluginDefaultGroovyMethods()`
`void` | `setAdditionalClassInformation(ClassNode cn)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### configureAnnotation

    public void configureAnnotation(AnnotationNode node)

### configureClassNode

    public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

### getPluginDefaultGroovyMethods

    public Class[] getPluginDefaultGroovyMethods()

### setAdditionalClassInformation

    public void setAdditionalClassInformation(ClassNode cn)

Copyright © 2003-2010 The Codehaus. All rights reserved.